From 1c0b35c30c984b5bd2d5c2e8d1f44be77ec8ca2b Mon Sep 17 00:00:00 2001
From: SVN-Git Migration <python-modules-team@lists.alioth.debian.org>
Date: Thu, 8 Oct 2015 13:54:33 -0700
Subject: pyrex-compilation-fix

Recent version of pyrex get module name from directory
name. Unfortunately, soya is compiled outside of any directory and
therefore the name of the directory is soya-VERSION. This patch
reverts previous behaviour of Pyrex. Thanks to Jakub Wilk.

Patch-Name: pyrex-compilation-fix
---
 setup.py | 7 +++++++
 1 file changed, 7 insertions(+)

diff --git a/setup.py b/setup.py
index 8791bdb..1207386 100644
--- a/setup.py
+++ b/setup.py
@@ -82,6 +82,13 @@ SDISTING = ("sdist" in sys.argv[1:]) and not ("--help" in sys.argv[1:])
 
 MACOSX_DEPLOYMENT_TARGET  = os.getenv('MACOSX_DEPLOYMENT_TARGET')
 try:
+	from Pyrex.Compiler.Main import Context
+	def extract_module_name(self, path):
+		dir, filename = os.path.split(path)
+		module_name, _ = os.path.splitext(filename)
+		return module_name
+	Context.extract_module_name = extract_module_name
+	del Context
 	from Pyrex.Distutils import build_ext
 	USE_PYREX = 1
 except ImportError:
